Loading ...
Sorry, an error occurred while loading the content.

Debian: Kernel upgrade help?

Expand Messages
  • natecardozo
    Hi all, I upgraded my slug from lenny to squeeze the other day, but it s having some issues installing the new kernel. I m running 2.6.26-2-ixp4xx and it
    Message 1 of 1 , May 2, 2011
    • 0 Attachment
      Hi all,

      I upgraded my slug from lenny to squeeze the other day, but it's having some issues installing the new kernel.  I'm running 2.6.26-2-ixp4xx and it seems fine.  However, I'd love to run a newer kernel.  Apt gives the following.  Any ideas?

      Best,
      Nate

      XXXXX@XXXXXX:~$ sudo apt-get upgrade
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      2 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Do you want to continue [Y/n]? y
      Setting up linux-image-2.6.32-5-ixp4xx (2.6.32-33) ...
      Running depmod.
      Running update-initramfs.
      update-initramfs: Generating /boot/initrd.img-2.6.32-5-ixp4xx
      initrd.img(/boot/initrd.img-2.6.32-5-ixp4xx
      ) points to /boot/initrd.img-2.6.32-5-ixp4xx
       (/boot/initrd.img-2.6.32-5-ixp4xx) -- doing nothing at /var/lib/dpkg/info/linux                                                                              -image-2.6.32-5-ixp4xx.postinst line 347.
      vmlinuz(/boot/vmlinuz-2.6.32-5-ixp4xx
      ) points to /boot/vmlinuz-2.6.32-5-ixp4xx
       (/boot/vmlinuz-2.6.32-5-ixp4xx) -- doing nothing at /var/lib/dpkg/info/linux-im                                                                              age-2.6.32-5-ixp4xx.postinst line 347.
      Running flash-kernel.
      /dev/mtdblock3 is not a block device
      User postinst hook script [flash-kernel] exited with value 1
      dpkg: error processing linux-image-2.6.32-5-ixp4xx (--configure):
       subprocess installed post-installation script returned error exit status 1
      configured to not write apport reports
                                            dpkg: dependency problems prevent configur                                                                              ation of linux-image-2.6-ixp4xx:
       linux-image-2.6-ixp4xx depends on linux-image-2.6.32-5-ixp4xx; however:
        Package linux-image-2.6.32-5-ixp4xx is not configured yet.
      dpkg: error processing linux-image-2.6-ixp4xx (--configure):
       dependency problems - leaving unconfigured
      configured to not write apport reports
                                            Errors were encountered while processing:
       linux-image-2.6.32-5-ixp4xx
       linux-image-2.6-ixp4xx
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      XXXXX@XXXXXX:~$

    Your message has been successfully submitted and would be delivered to recipients shortly.